package com.weilab.biology.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.weilab.biology.core.data.dto.AppConfigDto;
import com.weilab.biology.core.data.po.AppConfig;
import com.weilab.biology.mapper.AppConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 应用配置信息 服务实现类
 * </p>
 *
 * @author
 * @since 2023-05-05
 */
@Service
public class AppConfigService extends ServiceImpl<AppConfigMapper, AppConfig> {

    @Autowired
    private AppConfigMapper appConfigMapper;

    /**
     * 通过appName获取应用配置
     *
     * @param appName 唯一应用名
     * @return AppConfigDto
     */
    public AppConfigDto getAppConfig(String appName) {
        return AppConfigDto.parse(appConfigMapper.getAppConfigByAppName(appName));
    }


}
